Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83798 - up2date doesn't run when http proxy is not valid
Summary: up2date doesn't run when http proxy is not valid
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 22:11 UTC by Florin Andrei
Modified: 2005-10-31 22:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-26 21:24:16 UTC


Attachments (Terms of Use)

Description Florin Andrei 2003-02-08 22:11:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
If i configure up2date to use a proxy server, then i go to another place where
that proxy hostname is no longer valid, up2date does not run, it dies silently
without a warning or an error message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.configure up2date to use your proxy server
2.launch up2date from the RHN applet in the panel
3.it works fine
4.go to a different network where the hostname you configured for a proxy is not
valid
5.launch up2date from the RHN applet in the panel
    

Actual Results:  nothing happens. up2date dies silently, but the user does not
get any notification on that

Expected Results:  up2date should prompt an error message saying "proxy not
available" or something like that

Additional info:

this bug is very bad for laptop users. when going to a different network,
up2date dies misteriously.
also, there are way too many places to configure a proxy server. all
applications, including the RHN applet and up2date should use the setting
configured in the Preferences / Network Proxy menu.


Note You need to log in before you can comment on or make changes to this bug.